/*
 * nasd_cheops_mgr_common.h 
 *
 * common CHEOPS storage manager definitions
 *
 * Author: Khalil Amiri, CMU SCS/ECE, July 18 1997
 */
/*
 * NASD is a copyright (c) of Carnegie Mellon University, 1996,1997,1998,1999.
 *             
 * Permission to reproduce, use and prepare derivative works of
 * NASD for use is granted provided the copyright and "No Warranty"
 * statements are included with all reproductions and derivative
 * works. NASD may also be redistributed provided that the
 * copyright and "No Warranty" statements are included in all
 * redistributions.
 *             
 * NO WARRANTY. NASD IS FURNISHED ON AN "AS IS" BASIS. CARNEGIE
 * MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO ANY MATTER INCLUDING, BUT NOT
 * LIMITED TO, WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY,
 * EXCLUSIVITY OF RESULTS OR RESULTS OBTAINED FROM USE OF NASD.
 * CARNEGIE MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY
 * KIND WITH RESPECT TO FREEDOM FROM PATENT, TRADEMARK OR
 * COPYRIGHT INFRINGEMENT.
 */



#ifndef _NASD_CHEOPS_MGR_COMMON_H_
#define _NASD_CHEOPS_MGR_COMMON_H_

typedef enum { NASD_CHEOPS_OP_BS_CREATE,
	       NASD_CHEOPS_OP_BS_REMOVE,
	       NASD_CHEOPS_OP_BS_LOOKUP,
	       NASD_CHEOPS_OP_BS_GETATTR,
	       NASD_CHEOPS_OP_BS_SETATTR,
	       NASD_CHEOPS_OP_DR_LOOKUP,
	       NASD_CHEOPS_OP_MGR_LOOKUP,
	       NASD_CHEOPS_OP_FAIL_REPORT
} nasd_cheops_mgr_op_t;

/* options */
extern int Default_Stripe_Unit_Size;
extern nasd_cheops_raid_level_t Default_RAID_Level;
extern int Default_Stripe_Width;

#endif /* _NASD_CHEOPS_MGR_COMMON_H_ */

